<template>
  <rui-drawer v-if="element"
              :caption="element.displayName"
              :overlay="false"
              @close="$emit('close')">
    <template #actions>
      <gpa-element-actions :element="element" />
    </template>

    <gpa-element-details :element="element" />
  </rui-drawer>
</template>

<script>
import RuiDrawer from '@experiments-labs/rise_ui/src/components/Drawer/Drawer.vue'
import Element from '../../../../classes/models/Element'
import GpaElementActions from './_Actions.vue'
import GpaElementDetails from './_Details.vue'

export default {
  name: 'GpaElementDrawer',
  emits: [
    'close',
  ],
  components: { RuiDrawer, GpaElementDetails, GpaElementActions },
  props: {
    element: { required: false, type: Element, default: null },
  },
}
</script>
